Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Send a proposal by email
POST
/api/v1/proposals/{id}/send
const url = 'https://api.pitch2sale.com/api/v1/proposals/example/send';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"to_email":"hello@example.com","to":"hello@example.com","recipient_email":"hello@example.com","subject":"example","message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/proposals/example/send \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "to_email": "hello@example.com", "to": "hello@example.com", "recipient_email": "hello@example.com", "subject": "example", "message": "example" }'Draft proposals only. Marks the proposal as sent and emails the public link to to_email or, by default, the lead’s primary contact.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
to_email
string format: email
to
string format: email
recipient_email
string format: email
subject
string
message
string
Examplegenerated
{ "to_email": "hello@example.com", "to": "hello@example.com", "recipient_email": "hello@example.com", "subject": "example", "message": "example"}Responses
Section titled “Responses”The sent proposal and the email outcome
Media typeapplication/json
object
proposal
required
object
_id
required
string
name
required
string
status
required
string
lead_id
required
string
currency
required
string
public_token
required
string | null
key
additional properties
any
email_sent
required
boolean
email_reason
required
string | null
Examplegenerated
{ "proposal": { "_id": "example", "name": "example", "status": "example", "lead_id": "example", "currency": "example", "public_token": "example" }, "email_sent": true, "email_reason": "example"}Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}